Search documentation of ExStreamClient

# ExStreamClient.Model.CallEgress (ExStreamClient v0.1.10)

View Source

Schema representing a CallEgress

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.CallEgress{
      app_pk: integer(),
      call_id: String.t(),
      call_type: String.t(),
      config: ExStreamClient.Model.EgressTaskConfig.t() | nil,
      egress_id: String.t(),
      egress_type: String.t(),
      instance_ip: String.t(),
      started_at: float(),
      state: String.t(),
      stopped_at: float() | nil,
      updated_at: float()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()